Update an entity

Base URL
https://{kibana_url}
Auth

Update an existing entity record in the Entity Store. By default only certain fields can be updated. Set the force query parameter to true to update protected fields.

Required privileges

Privileges securitySolution

Path parameters

entityType enum required

The entity type to update.

Values: user host service generic

Query parameters

force union enum | boolean · default: false

When true, allows updating protected fields.

Values: true false

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

Any of:
@timestamp string · format: date-time · pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

The time the entity record was last updated.

labels map string to object

Custom key-value labels attached to the entity.

tags string[]

Tags attached to the entity.

Responses

200

Indicates the entity was successfully updated.

application/json
400

Bad request.

application/json
404

Entity not found.

application/json
Base URL
https://{kibana_url}